module Analtex
  class BagOfWords
    def initialize(dictionary)
      @dictionary = dictionary
    end

    def get_bag_of(words)
      dictionary_size = @dictionary.words.length
      bag = Array.new(dictionary_size, 0).to_a

      words.each do |word|
        index = @dictionary.words[word]
        next if index.nil?
        bag[index] = bag[index] + 1
      end

      return bag
    end
  end
end
